=== debian/changelog ===
sd-mux-ctrl (0.0.3-3) unstable; urgency=medium

  * Improve postinst script and depend upon addgroup.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Sep 2023 16:27:11 -0300

sd-mux-ctrl (0.0.3-2) unstable; urgency=medium

  * Source only upload after NEW queue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 28 Sep 2023 16:12:32 -0300

sd-mux-ctrl (0.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #1051944).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Sep 2023 12:42:11 -0300
