=== debian/control ===
Source: sd-mux-ctrl
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Section: utils
Priority: optional
Build-Depends: bash-completion,
               cmake,
               debhelper-compat (= 13),
               libftdi1-dev (>= 1.4),
               libpopt-dev,
               pkg-config,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/perezmeyer/sd-mux-ctrl
Vcs-Browser: https://gitlab.com/perezmeyer/debian-package-sd-mux-ctrl
Vcs-Git: https://gitlab.com/perezmeyer/debian-package-sd-mux-ctrl.git

Package: sd-mux-ctrl
Architecture: any
Depends: adduser,
         libftdi1-2 (>=1.4),
         libpopt0,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Tool for controlling multiple sd-mux devices
 sd-mux stands for Secure Digital Multiplexer. This is SD card switcher
 (multiplexer) designed to help automatic testing.
 .
 The software is designed to work with Tizen's SD MUX [0], but it is also
 compatible with SDWire [1], which is now recommended over the former.
 .
 [0] <https://wiki.tizen.org/SD_MUX>
 [1] <https://wiki.tizen.org/SDWire>
 .
 This tool allows one to:
  - Connect SD card to DUT (Device Under Test) or to TS (Test Server)
  - Connect one USB port to DUT or TS
  - Power off or on DUT
  - Reset DUT through power disconnecting and reconnecting
