=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@$1%" \
    https://gitlab.com/perezmeyer/sd-mux-ctrl/-/tags \
    archive/v?@ANY_VERSION@/sd-mux-ctrl-v?\d\S*@ARCHIVE_EXT@
