## sd-mux-ctrl 0.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 ############################# Check minimum CMake version #####################
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8.3)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.31)
 PROJECT("sd-mux-ctrl")
 set(SDMUXCTRL_VERSION 0.0.1)
