=== debian/changelog ===
sd-mux-ctrl (0.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CMake Minimum version (Closes: #1113490).
  * Replace obsolete build dependency on pkg-config to pkgconf.
  * Update debian/watch to version 5.
  * Update Standards-Version, no changes required.
  * Remove Rules-Requires-Root: no, this is now redundant.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 29 Sep 2025 14:48:05 -0300
