=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
                debhelper-compat (= 13),
                libftdi1-dev (>= 1.4),
                libpopt-dev,
-               pkg-config,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+               pkgconf,
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/perezmeyer/sd-mux-ctrl
 Vcs-Browser: https://gitlab.com/perezmeyer/debian-package-sd-mux-ctrl
 Vcs-Git: https://gitlab.com/perezmeyer/debian-package-sd-mux-ctrl.git
