=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.com/perezmeyer/sd-mux-ctrl/
